//=============================================================================
// CustomTestHUD
//
// This is just a stupid little HUD to demonstrate to players their HUD
// actually WAS replaced! It does not do anything useful beyond that.
//
// If your HUD was successfully replaced, you will see a permanent message
// on your screen after you join a server running HUD Replacer.
//=============================================================================
class CustomTestHUD extends UnrealHUD;


var String messages[12];
var int numLines;



/* POSTRender is the actual MAIN function that gets called on a HUD.
   This is the function you will want to and NEED to override to
   produce any meaningful content.
*/
simulated function PostRender( canvas Canvas )
{
	local int lineY, i;

	Super.PostRender(Canvas);

	if ( PlayerPawn(Owner).bShowMenu ) return;
	if ( PlayerPawn(Owner).bShowScores ) return;

	// GREEN TEXT COLOR
	Canvas.DrawColor.R = 0;
	Canvas.DrawColor.G = 255;
	Canvas.DrawColor.B = 0;
	Canvas.Font = Font'WhiteFont';
	Canvas.bCenter = True;

	lineY = Canvas.ClipY/2 - numlines*4;	// start Y-offset in the middle

	// display actual text
	for (i=0; i<numLines; i++)
	{
		Canvas.SetPos(0,lineY + i*8);
		Canvas.DrawText(messages[i]);
	}


	// reset canvas to defaults
	Canvas.DrawColor.R = 255;	// WHITE
	Canvas.DrawColor.G = 255;	// WHITE
	Canvas.DrawColor.B = 255;	// WHITE
	Canvas.bCenter = False;
}


defaultproperties
{
	numLines=3
	messages(0)="Hello there! If you can read this"
	messages(1)="then your HUD was successfully replaced!"
	messages(2)="Now go and make something useful!"
}